

package gov.va.med.cds.xml.schema;


import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;


public class SchemaHelperCache
{
    ConcurrentMap<String, SchemaHelperInterface> schemaHelperCache = new ConcurrentHashMap<String, SchemaHelperInterface>();


    public void putSchemaHelper( String templateId, SchemaHelperInterface schemaHelper )
    {
        schemaHelperCache.put( templateId, schemaHelper );
    }


    public SchemaHelperInterface getSchemaHelper( String templateId )
    {
        return schemaHelperCache.get( templateId );
    }

}
